Bug 1104869 (CVE-2014-3479) - CVE-2014-3479 file: cdf_check_stream_offset insufficient boundary check
Summary: CVE-2014-3479 file: cdf_check_stream_offset insufficient boundary check
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3479
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140627,repor...
Depends On: 1080180 1114451 1114452 1114520 1114521 1119563 1119564 1120503 1120504 1120981 1149768 1149774 1238984 1238985
Blocks: 1065838 1101912 1104870 1149858 1210268
TreeView+ depends on / blocked
 
Reported: 2014-06-04 20:59 UTC by Francisco Alonso
Modified: 2019-06-08 20:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Clone Of:
Environment:
Last Closed: 2015-11-27 11:55:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1012 normal SHIPPED_LIVE Moderate: php53 and php security update 2014-08-06 09:14:44 UTC
PHP Bug Tracker 67411 None None None Never
Red Hat Product Errata RHSA-2014:1013 normal SHIPPED_LIVE Moderate: php security update 2014-08-06 10:05:17 UTC
Red Hat Product Errata RHSA-2014:1606 normal SHIPPED_LIVE Moderate: file security and bug fix update 2014-10-14 01:39:32 UTC
Red Hat Product Errata RHSA-2014:1765 normal SHIPPED_LIVE Important: php54-php security update 2014-10-30 23:45:24 UTC
Red Hat Product Errata RHSA-2014:1766 normal SHIPPED_LIVE Important: php55-php security update 2014-10-30 23:45:12 UTC
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Francisco Alonso 2014-06-04 20:59:24 UTC
A flaw was found in the way file uses cdf_check_stream_offset function when checks stream offsets for certain Composite Document Format (CDF).

Upstream commit:
https://github.com/file/file/commit/36fadd29849b8087af9f4586f89dbf74ea45be67


Acknowledgements:

This issue was discovered by Francisco Alonso of Red Hat Product Security.

Comment 3 Francisco Alonso 2014-06-30 06:20:25 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1114452]

Comment 4 Francisco Alonso 2014-06-30 06:20:28 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1114451]

Comment 7 Fedora Update System 2014-07-05 14:53:52 UTC
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Murray McAllister 2014-07-08 04:57:43 UTC
Statement:

This issue did not affect the php and the file packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of file as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 14 Martin Prpič 2014-07-28 11:12:12 UTC
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

Comment 15 errata-xmlrpc 2014-08-06 05:15:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1012 https://rhn.redhat.com/errata/RHSA-2014-1012.html

Comment 16 errata-xmlrpc 2014-08-06 06:06:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 19 errata-xmlrpc 2014-10-14 08:29:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1606 https://rhn.redhat.com/errata/RHSA-2014-1606.html

Comment 20 errata-xmlrpc 2014-10-30 19:46:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 21 errata-xmlrpc 2014-10-30 19:47:48 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 25 errata-xmlrpc 2015-11-19 08:09:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.